- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.SearchMediaPlannersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/mediaPlanners/search#try-it)

Searches for media planner accounts matching the given DSP seat ID.

For curators, this will return all matching media planners that have accepted curator terms.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1beta/mediaPlanners:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `dspSeatId` | `string` Required. The DSP seat ID to search for. The DSP seat ID is provided by the media planner. |
| `pageSize` | `integer` Optional. The maximum number of media planners to return. If unspecified, at most 100 media planners will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. This value is received from a previous `mediaPlanners.search` call in `` `SearchMediaPlannersResponse.nextPageToken` ``. |

### Request body

The request body must be empty.

### Response body

A response containing media planner account information from a search.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaPlanners": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/MediaPlanner`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `mediaPlanners[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/MediaPlanner`)`` List of media planners matching the search criteria. |
| `nextPageToken` | `string` A token which can be passed to a subsequent call to the `mediaPlanners.search` method to retrieve the next page of results in `SearchMediaPlannersRequest.pageToken`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`